{
  "Page": {
    "template": "list",
    "pageType": "wifiSample1",
    "screenHeading": "Network Management",
    "hideFabOverlay": true,
    "suppressPostLaunchRequests": false,
    "tabBarHidden": true,
    "line": {
      "moleculeName": "line",
      "type": "none"
    },
    "header": {
      "moleculeName": "header",
      "molecule": {
        "moleculeName": "headlineBody",
        "headline": {
          "moleculeName": "label",
          "text": "Wi-Fi networks"
        }
      },
      "line": {
        "moleculeName": "line",
        "type": "none"
      }
    },
    "molecules": [
      {
        "moleculeName": "tabsListItem",
        "tabs": {
          "moleculeName": "tabs",
          "tabs": [
            {
              "label": {
                "moleculeName": "label",
                "text": "Primary"
              }
            },
            {
              "label": {
                "moleculeName": "label",
                "text": "Guest"
              }
            },
            {
              "label": {
                "moleculeName": "label",
                "text": "IoT"
              }
            }
          ]
        },
        "molecules": [
          [
            {
                "moleculeName": "listItem",
                "verticalAlignment": "leading",
                "leftPadding": 16,
                "rightPadding": 16,
                "topPadding": 16,
                "bottomPadding": 8,
                "enabled": false,
                "molecule": {
                    "moleculeName": "toggle"
                    }
                },
            {
                "moleculeName": "listItem",
                "verticalAlignment": "leading",
                "leftPadding": 16,
                "rightPadding": 16,
                "topPadding": 16,
                "bottomPadding": 8,
                "disabled": true,
                "molecule": {
                    "moleculeName": "testToggle"
                    }
                },
            {
              "moleculeName": "listItem",
              "verticalAlignment": "leading",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "molecule": {
                  "moleculeName": "wifiWidget",
                  "backgroundColor": "#F6F6F6",
                  "wifiId": "primary-1",
                  "title": "West Coast Avocado Toast",
                  "enabled": true,
                  "enabledAction": {
                    "actionType": "toggleWifi",
                    "enabled": true,
                    "wifiId": "primary-1",
                  },
                  "description": "Primary Wi-Fi (2.4 Ghz)",
                  "password": "1234567",
                  "editTitle": "Edit Wi-Fi details",
                  "editAction": {
                    "actionType": "openPage",
                    "pageType": "editWifi",
                    "extraParameters": {
                      "wifiId": "primary-1"
                    }
                  },
                  "shareTitle": "Share Wi-Fi",
                  "shareAction": {
                    "actionType": "share",
                    "sharedText": "ssid: primary-1 password: 123456",
                    "sharedType": "Text"
                  }
                }
            },
            {
              "moleculeName": "listItem",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "molecule": {
                  "moleculeName": "wifiWidget",
                  "backgroundColor": "#F6F6F6",
                  "wifiId": "primary-2",
                  "title": "New England Clam Router",
                  "enabled": false,
                  "enabledAction": {
                      "actionType": "toggleWifi",
                      "enabled": false,
                      "wifiId": "primary-2"
                  },
                  "description": "Primary Wi-Fi (5.0 Ghz)",
                  "password": "1234567",
                  "editTitle": "Edit Wi-Fi details",
                  "editAction": {
                    "actionType": "openPage",
                    "pageType": "editWifi",
                    "extraParameters": {
                      "wifiId": "primary-2"
                    }
                  },
                  "shareTitle": "Share Wi-Fi",
                  "shareAction": {
                    "actionType": "share",
                    "sharedText": "ssid: primary-2 password: 123456",
                    "sharedType": "Text"
                  }
                }
            },
            {
              "moleculeName": "listItem",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "line": {
                "moleculeName": "line",
                "type": "standard"
              },
              "molecule": {
                  "moleculeName": "wifiWidget",
                  "backgroundColor": "#F6F6F6",
                  "wifiId": "primary-3",
                  "title": "Chicago Pizza",
                  "enabled": true,
                  "enabledAction": {
                      "actionType": "toggleWifi",
                      "enabled": true,
                      "wifiId": "primary-3"
                  },
                  "description": "Primary Wi-Fi (5.0 Ghz 2)",
                  "password": "1234567",
                  "editTitle": "Edit Wi-Fi details",
                  "editAction": {
                    "actionType": "openPage",
                    "pageType": "editWifi",
                    "extraParameters": {
                      "wifiId": "primary-3"
                    }
                  },
                  "shareTitle": "Share Wi-Fi",
                  "shareAction": {
                    "actionType": "share",
                    "sharedText": "ssid: primary-3 password: 123456",
                    "sharedType": "Text"
                  }
                }
            },
            {
              "moleculeName": "listItem",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "molecule": {
                "moleculeName": "container",
                "backgroundColor": "#F6F6F6",
                "molecule": {
                  "moleculeName": "stack",
                  "leftPadding": 16,
                  "rightPadding": 16,
                  "topPadding": 16,
                  "bottomPadding": 16,
                  "useHorizontalMargins": true,
                  "useVerticalMargins": true,
                  "spacing": 16,
                  "molecules": [
                    {
                      "moleculeName": "stackItem",
                      "molecule": {
                        "moleculeName": "label",
                        "leftPadding": 5,
                        "rightPadding": 5,
                        "topPadding": 2,
                        "bottomPadding": 2,
                        "backgroundColor": "#000000",
                        "textColor": "#ffffff",
                        "text": "Disabled"
                      }
                    },
                    {
                      "moleculeName": "stackItem",
                      "molecule": {
                        "moleculeName":"headlineBodyLink",
                        "headlineBody":{
                            "moleculeName": "headlineBody",
                            "headline":{
                                "moleculeName": "label",
                                "fontStyle": "BoldBodyLarge",
                                "text": "SON (Self-Organizing Network)"
                            },
                            "body":{
                                "moleculeName": "label",
                                "text": "Enable SON to automatically connect your devices to the fastest available Wi-Fi network."
                            }
                        },
                        "link":{
                            "moleculeName": "link",
                            "title": "Details about SON",
                            "action": {
                              "actionType": "openPage",
                              "pageType": "sonDetails",
                              "extraParameters": {
                                "wifiType": "primary"
                              }
                            }
                        }
                      }
                    }
                  ]
                }
              }
            }
          ],
          [
            {
              "moleculeName": "listItem",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "molecule": {
                "moleculeName": "label",
                "text": "Limits access to devices in your home, recommended for guests"
              }
            },
            {
              "moleculeName": "listItem",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "molecule": {
                  "moleculeName": "wifiWidget",
                  "backgroundColor": "#F6F6F6",
                  "wifiId": "guest-1",
                  "title": "You Don't Belong Here",
                  "enabled": true,
                  "enabledAction": {
                      "actionType": "toggleWifi",
                      "enabled": true,
                      "wifiId": "guest-1"
                  },
                  "description": "Guest Wi-Fi (2.4 Ghz)",
                  "password": "1234567",
                  "editTitle": "Edit Wi-Fi details",
                  "editAction": {
                    "actionType": "openPage",
                    "pageType": "editWifi",
                    "extraParameters": {
                      "wifiId": "guest-1"
                    }
                  },
                  "shareTitle": "Share Wi-Fi",
                  "shareAction": {
                    "actionType": "share",
                    "sharedText": "ssid: guest-1 password: 123456",
                    "sharedType": "Text"
                  }
                }
            }
          ],
          [
            {
              "moleculeName": "listItem",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "molecule": {
                "moleculeName": "label",
                "text": "Recommended for optimal connectivity to \"Internet of Things\" (IoT) devices, for example smart speakers, plugs, and light switches."
              }
            },
            {
              "moleculeName": "listItem",
              "leftPadding": 16,
              "rightPadding": 16,
              "topPadding": 16,
              "bottomPadding": 8,
              "molecule": {
                "moleculeName": "wifiWidget",
                "backgroundColor": "#F6F6F6",
                "wifiId": "iot-2",
                "title": "Connected Homies",
                "enabled": true,
                "enabledAction": {
                    "actionType": "toggleWifi",
                    "enabled": true,
                    "wifiId": "iot-1"
                },
                "description": "IoT (2.4 Ghz)",
                "password": "1234567",
                "editTitle": "Edit Wi-Fi details",
                "editAction": {
                  "actionType": "openPage",
                  "pageType": "editWifi",
                  "extraParameters": {
                      "wifiId": "iot-1"
                  }
                },
                "shareTitle": "Share Wi-Fi",
                "shareAction": {
                  "actionType": "share",
                  "sharedText": "ssid: iot-1 password: 123456",
                  "sharedType": "Text"
                }
              }
            }
          ]
        ]
      }
    ],
    "footer": {}
  }
}

